Login
Authenticates a user by submitting an accessKey (email) and secretKey (password) to get a bearer token.
Body
accessKeystringOptionalExample:
Configured API User email address
user@example.comsecretKeystringOptionalExample:
Configured API User's password
your-passwordResponses
200
OK - Login success. A BEARER_TOKEN cookie is set in the response headers.
application/json
idUserintegerOptionalExample:
123usernamestringOptionalExample:
your@email.comidMerchantintegerOptionalExample:
456403
Forbidden - Failure: invalid location
application/json
post/auth/login
POST /v1/auth/login HTTP/1.1
Host: merchants-api.onekeypayments.com
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"accessKey": "user@example.com",
"secretKey": "your-password"
}{
"idUser": 123,
"username": "your@email.com",
"idMerchant": 456
}Last updated
Was this helpful?

